Package org.apache.sling.jcr.base.internal.mount

## Class ProxyNode

- java.lang.Object
- - org.apache.sling.jcr.base.internal.mount.ProxyWrapper<T>
  - - org.apache.sling.jcr.base.internal.mount.ProxyItem<javax.jcr.Node>
    - - org.apache.sling.jcr.base.internal.mount.ProxyNode

All Implemented Interfaces:
  `javax.jcr.Item`, `javax.jcr.Node`

    public class ProxyNode
    extends ProxyItem<javax.jcr.Node>
    implements javax.jcr.Node

### Field Summary

### Fields inherited from interface javax.jcr.Node

`JCR_CHILD_NODE_DEFINITION, JCR_CONTENT, JCR_FROZEN_NODE, JCR_PROPERTY_DEFINITION, JCR_ROOT_VERSION, JCR_VERSION_LABELS`

### Constructor Summary

Constructors
`ProxyNode​(ProxySession mountSession, javax.jcr.Node node)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addMixin​(String mixinName)`
`javax.jcr.Node` `addNode​(String relPath)`
`javax.jcr.Node` `addNode​(String relPath, String primaryNodeTypeName)`
`boolean` `canAddMixin​(String mixinName)`
`void` `cancelMerge​(javax.jcr.version.Version version)`
`javax.jcr.version.Version` `checkin()`
`void` `checkout()`
`void` `doneMerge​(javax.jcr.version.Version version)`
`void` `followLifecycleTransition​(String transition)`
`String[]` `getAllowedLifecycleTransistions()`
`javax.jcr.version.Version` `getBaseVersion()`
`String` `getCorrespondingNodePath​(String workspaceName)`
`javax.jcr.nodetype.NodeDefinition` `getDefinition()`
`String` `getIdentifier()`
`int` `getIndex()`
`javax.jcr.lock.Lock` `getLock()`
`javax.jcr.nodetype.NodeType[]` `getMixinNodeTypes()`
`javax.jcr.Node` `getNode​(String relPath)`
`javax.jcr.NodeIterator` `getNodes()`
`javax.jcr.NodeIterator` `getNodes​(String namePattern)`
`javax.jcr.NodeIterator` `getNodes​(String[] nameGlobs)`
`javax.jcr.Item` `getPrimaryItem()`
`javax.jcr.nodetype.NodeType` `getPrimaryNodeType()`
`javax.jcr.PropertyIterator` `getProperties()`
`javax.jcr.PropertyIterator` `getProperties​(String namePattern)`
`javax.jcr.PropertyIterator` `getProperties​(String[] nameGlobs)`
`javax.jcr.Property` `getProperty​(String relPath)`
`javax.jcr.PropertyIterator` `getReferences()`
`javax.jcr.PropertyIterator` `getReferences​(String name)`
`javax.jcr.NodeIterator` `getSharedSet()`
`String` `getUUID()`
`javax.jcr.version.VersionHistory` `getVersionHistory()`
`javax.jcr.PropertyIterator` `getWeakReferences()`
`javax.jcr.PropertyIterator` `getWeakReferences​(String name)`
`boolean` `hasNode​(String relPath)`
`boolean` `hasNodes()`
`boolean` `hasProperties()`
`boolean` `hasProperty​(String relPath)`
`boolean` `holdsLock()`
`boolean` `isCheckedOut()`
`boolean` `isLocked()`
`boolean` `isNodeType​(String nodeTypeName)`
`javax.jcr.lock.Lock` `lock​(boolean isDeep, boolean isSessionScoped)`
`javax.jcr.NodeIterator` `merge​(String srcWorkspace, boolean bestEffort)`
`void` `orderBefore​(String srcChildRelPath, String destChildRelPath)`
`void` `removeMixin​(String mixinName)`
`void` `removeShare()`
`void` `removeSharedSet()`
`void` `restore​(String versionName, boolean removeExisting)`
`void` `restore​(javax.jcr.version.Version version, boolean removeExisting)`
`void` `restore​(javax.jcr.version.Version version, String relPath, boolean removeExisting)`
`void` `restoreByLabel​(String versionLabel, boolean removeExisting)`
`void` `setPrimaryType​(String nodeTypeName)`
`javax.jcr.Property` `setProperty​(String name, boolean value)`
`javax.jcr.Property` `setProperty​(String name, double value)`
`javax.jcr.Property` `setProperty​(String name, long value)`
`javax.jcr.Property` `setProperty​(String name, InputStream value)`
`javax.jcr.Property` `setProperty​(String name, String value)`
`javax.jcr.Property` `setProperty​(String name, String[] values)`
`javax.jcr.Property` `setProperty​(String name, String[] values, int type)`
`javax.jcr.Property` `setProperty​(String name, String value, int type)`
`javax.jcr.Property` `setProperty​(String name, BigDecimal value)`
`javax.jcr.Property` `setProperty​(String name, Calendar value)`
`javax.jcr.Property` `setProperty​(String name, javax.jcr.Binary value)`
`javax.jcr.Property` `setProperty​(String name, javax.jcr.Node value)`
`javax.jcr.Property` `setProperty​(String name, javax.jcr.Value value)`
`javax.jcr.Property` `setProperty​(String name, javax.jcr.Value[] values)`
`javax.jcr.Property` `setProperty​(String name, javax.jcr.Value[] values, int type)`
`javax.jcr.Property` `setProperty​(String name, javax.jcr.Value value, int type)`
`void` `unlock()`
`void` `update​(String srcWorkspace)`

### Methods inherited from class org.apache.sling.jcr.base.internal.mount.ProxyItem

`accept, getAncestor, getDepth, getName, getParent, getPath, getSession, isModified, isNew, isNode, isSame, refresh, remove, save`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.jcr.Item

`accept, getAncestor, getDepth, getName, getParent, getPath, getSession, isModified, isNew, isNode, isSame, refresh, remove, save`

### Constructor Detail

#### ProxyNode

    public ProxyNode​(ProxySession mountSession,
                     javax.jcr.Node node)

### Method Detail

#### addNode

    public javax.jcr.Node addNode​(String relPath)
                           throws javax.jcr.ItemExistsException,
                                  javax.jcr.PathNotFoundException,
                                  javax.jcr.version.VersionException,
                                  javax.jcr.nodetype.ConstraintViolationException,
                                  javax.jcr.lock.LockException,
                                  javax.jcr.RepositoryException

Specified by:
  `addNode` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.ItemExistsException`
  `javax.jcr.PathNotFoundException`
  `javax.jcr.version.VersionException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.lock.LockException`
  `javax.jcr.RepositoryException`

#### addNode

    public javax.jcr.Node addNode​(String relPath,
                                  String primaryNodeTypeName)
                           throws javax.jcr.ItemExistsException,
                                  javax.jcr.PathNotFoundException,
                                  javax.jcr.nodetype.NoSuchNodeTypeException,
                                  javax.jcr.lock.LockException,
                                  javax.jcr.version.VersionException,
                                  javax.jcr.nodetype.ConstraintViolationException,
                                  javax.jcr.RepositoryException

Specified by:
  `addNode` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.ItemExistsException`
  `javax.jcr.PathNotFoundException`
  `javax.jcr.nodetype.NoSuchNodeTypeException`
  `javax.jcr.lock.LockException`
  `javax.jcr.version.VersionException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### orderBefore

    public void orderBefore​(String srcChildRelPath,
                            String destChildRelPath)
                     throws javax.jcr.UnsupportedRepositoryOperationException,
                            javax.jcr.version.VersionException,
                            javax.jcr.nodetype.ConstraintViolationException,
                            javax.jcr.ItemNotFoundException,
                            javax.jcr.lock.LockException,
                            javax.jcr.RepositoryException

Specified by:
  `orderBefore` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.version.VersionException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.ItemNotFoundException`
  `javax.jcr.lock.LockException`
  `javax.jcr.RepositoryException`

#### setProperty

    public javax.jcr.Property setProperty​(String name,
                                          javax.jcr.Value value)
                                   throws javax.jcr.ValueFormatException,
                                          javax.jcr.version.VersionException,
                                          javax.jcr.lock.LockException,
                                          javax.jcr.nodetype.ConstraintViolationException,
                                          javax.jcr.RepositoryException

Specified by:
  `setProperty` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setProperty

    public javax.jcr.Property setProperty​(String name,
                                          javax.jcr.Value value,
                                          int type)
                                   throws javax.jcr.ValueFormatException,
                                          javax.jcr.version.VersionException,
                                          javax.jcr.lock.LockException,
                                          javax.jcr.nodetype.ConstraintViolationException,
                                          javax.jcr.RepositoryException

Specified by:
  `setProperty` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setProperty

    public javax.jcr.Property setProperty​(String name,
                                          javax.jcr.Value[] values)
                                   throws javax.jcr.ValueFormatException,
                                          javax.jcr.version.VersionException,
                                          javax.jcr.lock.LockException,
                                          javax.jcr.nodetype.ConstraintViolationException,
                                          javax.jcr.RepositoryException

Specified by:
  `setProperty` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setProperty

    public javax.jcr.Property setProperty​(String name,
                                          javax.jcr.Value[] values,
                                          int type)
                                   throws javax.jcr.ValueFormatException,
                                          javax.jcr.version.VersionException,
                                          javax.jcr.lock.LockException,
                                          javax.jcr.nodetype.ConstraintViolationException,
                                          javax.jcr.RepositoryException

Specified by:
  `setProperty` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setProperty

    public javax.jcr.Property setProperty​(String name,
                                          String[] values)
                                   throws javax.jcr.ValueFormatException,
                                          javax.jcr.version.VersionException,
                                          javax.jcr.lock.LockException,
                                          javax.jcr.nodetype.ConstraintViolationException,
                                          javax.jcr.RepositoryException

Specified by:
  `setProperty` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setProperty

    public javax.jcr.Property setProperty​(String name,
                                          String[] values,
                                          int type)
                                   throws javax.jcr.ValueFormatException,
                                          javax.jcr.version.VersionException,
                                          javax.jcr.lock.LockException,
                                          javax.jcr.nodetype.ConstraintViolationException,
                                          javax.jcr.RepositoryException

Specified by:
  `setProperty` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setProperty

    public javax.jcr.Property setProperty​(String name,
                                          String value)
                                   throws javax.jcr.ValueFormatException,
                                          javax.jcr.version.VersionException,
                                          javax.jcr.lock.LockException,
                                          javax.jcr.nodetype.ConstraintViolationException,
                                          javax.jcr.RepositoryException

Specified by:
  `setProperty` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setProperty

    public javax.jcr.Property setProperty​(String name,
                                          String value,
                                          int type)
                                   throws javax.jcr.ValueFormatException,
                                          javax.jcr.version.VersionException,
                                          javax.jcr.lock.LockException,
                                          javax.jcr.nodetype.ConstraintViolationException,
                                          javax.jcr.RepositoryException

Specified by:
  `setProperty` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setProperty

    public javax.jcr.Property setProperty​(String name,
                                          InputStream value)
                                   throws javax.jcr.ValueFormatException,
                                          javax.jcr.version.VersionException,
                                          javax.jcr.lock.LockException,
                                          javax.jcr.nodetype.ConstraintViolationException,
                                          javax.jcr.RepositoryException

Specified by:
  `setProperty` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setProperty

    public javax.jcr.Property setProperty​(String name,
                                          javax.jcr.Binary value)
                                   throws javax.jcr.ValueFormatException,
                                          javax.jcr.version.VersionException,
                                          javax.jcr.lock.LockException,
                                          javax.jcr.nodetype.ConstraintViolationException,
                                          javax.jcr.RepositoryException

Specified by:
  `setProperty` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setProperty

    public javax.jcr.Property setProperty​(String name,
                                          boolean value)
                                   throws javax.jcr.ValueFormatException,
                                          javax.jcr.version.VersionException,
                                          javax.jcr.lock.LockException,
                                          javax.jcr.nodetype.ConstraintViolationException,
                                          javax.jcr.RepositoryException

Specified by:
  `setProperty` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setProperty

    public javax.jcr.Property setProperty​(String name,
                                          double value)
                                   throws javax.jcr.ValueFormatException,
                                          javax.jcr.version.VersionException,
                                          javax.jcr.lock.LockException,
                                          javax.jcr.nodetype.ConstraintViolationException,
                                          javax.jcr.RepositoryException

Specified by:
  `setProperty` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setProperty

    public javax.jcr.Property setProperty​(String name,
                                          BigDecimal value)
                                   throws javax.jcr.ValueFormatException,
                                          javax.jcr.version.VersionException,
                                          javax.jcr.lock.LockException,
                                          javax.jcr.nodetype.ConstraintViolationException,
                                          javax.jcr.RepositoryException

Specified by:
  `setProperty` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setProperty

    public javax.jcr.Property setProperty​(String name,
                                          long value)
                                   throws javax.jcr.ValueFormatException,
                                          javax.jcr.version.VersionException,
                                          javax.jcr.lock.LockException,
                                          javax.jcr.nodetype.ConstraintViolationException,
                                          javax.jcr.RepositoryException

Specified by:
  `setProperty` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setProperty

    public javax.jcr.Property setProperty​(String name,
                                          Calendar value)
                                   throws javax.jcr.ValueFormatException,
                                          javax.jcr.version.VersionException,
                                          javax.jcr.lock.LockException,
                                          javax.jcr.nodetype.ConstraintViolationException,
                                          javax.jcr.RepositoryException

Specified by:
  `setProperty` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### setProperty

    public javax.jcr.Property setProperty​(String name,
                                          javax.jcr.Node value)
                                   throws javax.jcr.ValueFormatException,
                                          javax.jcr.version.VersionException,
                                          javax.jcr.lock.LockException,
                                          javax.jcr.nodetype.ConstraintViolationException,
                                          javax.jcr.RepositoryException

Specified by:
  `setProperty` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.ValueFormatException`
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### getNode

    public javax.jcr.Node getNode​(String relPath)
                           throws javax.jcr.PathNotFoundException,
                                  javax.jcr.RepositoryException

Specified by:
  `getNode` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.PathNotFoundException`
  `javax.jcr.RepositoryException`

#### getNodes

    public javax.jcr.NodeIterator getNodes()
                                    throws javax.jcr.RepositoryException

Specified by:
  `getNodes` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### getNodes

    public javax.jcr.NodeIterator getNodes​(String namePattern)
                                    throws javax.jcr.RepositoryException

Specified by:
  `getNodes` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### getNodes

    public javax.jcr.NodeIterator getNodes​(String[] nameGlobs)
                                    throws javax.jcr.RepositoryException

Specified by:
  `getNodes` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### getProperty

    public javax.jcr.Property getProperty​(String relPath)
                                   throws javax.jcr.PathNotFoundException,
                                          javax.jcr.RepositoryException

Specified by:
  `getProperty` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.PathNotFoundException`
  `javax.jcr.RepositoryException`

#### getProperties

    public javax.jcr.PropertyIterator getProperties()
                                             throws javax.jcr.RepositoryException

Specified by:
  `getProperties` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### getProperties

    public javax.jcr.PropertyIterator getProperties​(String namePattern)
                                             throws javax.jcr.RepositoryException

Specified by:
  `getProperties` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### getProperties

    public javax.jcr.PropertyIterator getProperties​(String[] nameGlobs)
                                             throws javax.jcr.RepositoryException

Specified by:
  `getProperties` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### getPrimaryItem

    public javax.jcr.Item getPrimaryItem()
                                  throws javax.jcr.ItemNotFoundException,
                                         javax.jcr.RepositoryException

Specified by:
  `getPrimaryItem` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.ItemNotFoundException`
  `javax.jcr.RepositoryException`

#### getUUID

    public String getUUID()
                   throws javax.jcr.UnsupportedRepositoryOperationException,
                          javax.jcr.RepositoryException

Specified by:
  `getUUID` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`

#### getIdentifier

    public String getIdentifier()
                         throws javax.jcr.RepositoryException

Specified by:
  `getIdentifier` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### getIndex

    public int getIndex()
                 throws javax.jcr.RepositoryException

Specified by:
  `getIndex` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### getReferences

    public javax.jcr.PropertyIterator getReferences()
                                             throws javax.jcr.RepositoryException

Specified by:
  `getReferences` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### getReferences

    public javax.jcr.PropertyIterator getReferences​(String name)
                                             throws javax.jcr.RepositoryException

Specified by:
  `getReferences` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### getWeakReferences

    public javax.jcr.PropertyIterator getWeakReferences()
                                                 throws javax.jcr.RepositoryException

Specified by:
  `getWeakReferences` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### getWeakReferences

    public javax.jcr.PropertyIterator getWeakReferences​(String name)
                                                 throws javax.jcr.RepositoryException

Specified by:
  `getWeakReferences` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### hasNode

    public boolean hasNode​(String relPath)
                    throws javax.jcr.RepositoryException

Specified by:
  `hasNode` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### hasProperty

    public boolean hasProperty​(String relPath)
                        throws javax.jcr.RepositoryException

Specified by:
  `hasProperty` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### hasNodes

    public boolean hasNodes()
                     throws javax.jcr.RepositoryException

Specified by:
  `hasNodes` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### hasProperties

    public boolean hasProperties()
                          throws javax.jcr.RepositoryException

Specified by:
  `hasProperties` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### getPrimaryNodeType

    public javax.jcr.nodetype.NodeType getPrimaryNodeType()
                                                   throws javax.jcr.RepositoryException

Specified by:
  `getPrimaryNodeType` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### getMixinNodeTypes

    public javax.jcr.nodetype.NodeType[] getMixinNodeTypes()
                                                    throws javax.jcr.RepositoryException

Specified by:
  `getMixinNodeTypes` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### isNodeType

    public boolean isNodeType​(String nodeTypeName)
                       throws javax.jcr.RepositoryException

Specified by:
  `isNodeType` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### setPrimaryType

    public void setPrimaryType​(String nodeTypeName)
                        throws javax.jcr.nodetype.NoSuchNodeTypeException,
                               javax.jcr.version.VersionException,
                               javax.jcr.nodetype.ConstraintViolationException,
                               javax.jcr.lock.LockException,
                               javax.jcr.RepositoryException

Specified by:
  `setPrimaryType` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.nodetype.NoSuchNodeTypeException`
  `javax.jcr.version.VersionException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.lock.LockException`
  `javax.jcr.RepositoryException`

#### addMixin

    public void addMixin​(String mixinName)
                  throws javax.jcr.nodetype.NoSuchNodeTypeException,
                         javax.jcr.version.VersionException,
                         javax.jcr.nodetype.ConstraintViolationException,
                         javax.jcr.lock.LockException,
                         javax.jcr.RepositoryException

Specified by:
  `addMixin` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.nodetype.NoSuchNodeTypeException`
  `javax.jcr.version.VersionException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.lock.LockException`
  `javax.jcr.RepositoryException`

#### removeMixin

    public void removeMixin​(String mixinName)
                     throws javax.jcr.nodetype.NoSuchNodeTypeException,
                            javax.jcr.version.VersionException,
                            javax.jcr.nodetype.ConstraintViolationException,
                            javax.jcr.lock.LockException,
                            javax.jcr.RepositoryException

Specified by:
  `removeMixin` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.nodetype.NoSuchNodeTypeException`
  `javax.jcr.version.VersionException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.lock.LockException`
  `javax.jcr.RepositoryException`

#### canAddMixin

    public boolean canAddMixin​(String mixinName)
                        throws javax.jcr.nodetype.NoSuchNodeTypeException,
                               javax.jcr.RepositoryException

Specified by:
  `canAddMixin` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.nodetype.NoSuchNodeTypeException`
  `javax.jcr.RepositoryException`

#### getDefinition

    public javax.jcr.nodetype.NodeDefinition getDefinition()
                                                    throws javax.jcr.RepositoryException

Specified by:
  `getDefinition` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### checkin

    public javax.jcr.version.Version checkin()
                                      throws javax.jcr.version.VersionException,
                                             javax.jcr.UnsupportedRepositoryOperationException,
                                             javax.jcr.InvalidItemStateException,
                                             javax.jcr.lock.LockException,
                                             javax.jcr.RepositoryException

Specified by:
  `checkin` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.version.VersionException`
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.InvalidItemStateException`
  `javax.jcr.lock.LockException`
  `javax.jcr.RepositoryException`

#### checkout

    public void checkout()
                  throws javax.jcr.UnsupportedRepositoryOperationException,
                         javax.jcr.lock.LockException,
                         javax.jcr.version.ActivityViolationException,
                         javax.jcr.RepositoryException

Specified by:
  `checkout` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.lock.LockException`
  `javax.jcr.version.ActivityViolationException`
  `javax.jcr.RepositoryException`

#### doneMerge

    public void doneMerge​(javax.jcr.version.Version version)
                   throws javax.jcr.version.VersionException,
                          javax.jcr.InvalidItemStateException,
                          javax.jcr.UnsupportedRepositoryOperationException,
                          javax.jcr.RepositoryException

Specified by:
  `doneMerge` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.version.VersionException`
  `javax.jcr.InvalidItemStateException`
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`

#### cancelMerge

    public void cancelMerge​(javax.jcr.version.Version version)
                     throws javax.jcr.version.VersionException,
                            javax.jcr.InvalidItemStateException,
                            javax.jcr.UnsupportedRepositoryOperationException,
                            javax.jcr.RepositoryException

Specified by:
  `cancelMerge` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.version.VersionException`
  `javax.jcr.InvalidItemStateException`
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`

#### update

    public void update​(String srcWorkspace)
                throws javax.jcr.NoSuchWorkspaceException,
                       javax.jcr.AccessDeniedException,
                       javax.jcr.lock.LockException,
                       javax.jcr.InvalidItemStateException,
                       javax.jcr.RepositoryException

Specified by:
  `update` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.NoSuchWorkspaceException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.lock.LockException`
  `javax.jcr.InvalidItemStateException`
  `javax.jcr.RepositoryException`

#### merge

    public javax.jcr.NodeIterator merge​(String srcWorkspace,
                                        boolean bestEffort)
                                 throws javax.jcr.NoSuchWorkspaceException,
                                        javax.jcr.AccessDeniedException,
                                        javax.jcr.MergeException,
                                        javax.jcr.lock.LockException,
                                        javax.jcr.InvalidItemStateException,
                                        javax.jcr.RepositoryException

Specified by:
  `merge` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.NoSuchWorkspaceException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.MergeException`
  `javax.jcr.lock.LockException`
  `javax.jcr.InvalidItemStateException`
  `javax.jcr.RepositoryException`

#### getCorrespondingNodePath

    public String getCorrespondingNodePath​(String workspaceName)
                                    throws javax.jcr.ItemNotFoundException,
                                           javax.jcr.NoSuchWorkspaceException,
                                           javax.jcr.AccessDeniedException,
                                           javax.jcr.RepositoryException

Specified by:
  `getCorrespondingNodePath` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.ItemNotFoundException`
  `javax.jcr.NoSuchWorkspaceException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.RepositoryException`

#### getSharedSet

    public javax.jcr.NodeIterator getSharedSet()
                                        throws javax.jcr.RepositoryException

Specified by:
  `getSharedSet` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### removeSharedSet

    public void removeSharedSet()
                         throws javax.jcr.version.VersionException,
                                javax.jcr.lock.LockException,
                                javax.jcr.nodetype.ConstraintViolationException,
                                javax.jcr.RepositoryException

Specified by:
  `removeSharedSet` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### removeShare

    public void removeShare()
                     throws javax.jcr.version.VersionException,
                            javax.jcr.lock.LockException,
                            javax.jcr.nodetype.ConstraintViolationException,
                            javax.jcr.RepositoryException

Specified by:
  `removeShare` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.version.VersionException`
  `javax.jcr.lock.LockException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.RepositoryException`

#### isCheckedOut

    public boolean isCheckedOut()
                         throws javax.jcr.RepositoryException

Specified by:
  `isCheckedOut` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### restore

    public void restore​(String versionName,
                        boolean removeExisting)
                 throws javax.jcr.version.VersionException,
                        javax.jcr.ItemExistsException,
                        javax.jcr.UnsupportedRepositoryOperationException,
                        javax.jcr.lock.LockException,
                        javax.jcr.InvalidItemStateException,
                        javax.jcr.RepositoryException

Specified by:
  `restore` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.version.VersionException`
  `javax.jcr.ItemExistsException`
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.lock.LockException`
  `javax.jcr.InvalidItemStateException`
  `javax.jcr.RepositoryException`

#### restore

    public void restore​(javax.jcr.version.Version version,
                        boolean removeExisting)
                 throws javax.jcr.version.VersionException,
                        javax.jcr.ItemExistsException,
                        javax.jcr.InvalidItemStateException,
                        javax.jcr.UnsupportedRepositoryOperationException,
                        javax.jcr.lock.LockException,
                        javax.jcr.RepositoryException

Specified by:
  `restore` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.version.VersionException`
  `javax.jcr.ItemExistsException`
  `javax.jcr.InvalidItemStateException`
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.lock.LockException`
  `javax.jcr.RepositoryException`

#### restore

    public void restore​(javax.jcr.version.Version version,
                        String relPath,
                        boolean removeExisting)
                 throws javax.jcr.PathNotFoundException,
                        javax.jcr.ItemExistsException,
                        javax.jcr.version.VersionException,
                        javax.jcr.nodetype.ConstraintViolationException,
                        javax.jcr.UnsupportedRepositoryOperationException,
                        javax.jcr.lock.LockException,
                        javax.jcr.InvalidItemStateException,
                        javax.jcr.RepositoryException

Specified by:
  `restore` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.PathNotFoundException`
  `javax.jcr.ItemExistsException`
  `javax.jcr.version.VersionException`
  `javax.jcr.nodetype.ConstraintViolationException`
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.lock.LockException`
  `javax.jcr.InvalidItemStateException`
  `javax.jcr.RepositoryException`

#### restoreByLabel

    public void restoreByLabel​(String versionLabel,
                               boolean removeExisting)
                        throws javax.jcr.version.VersionException,
                               javax.jcr.ItemExistsException,
                               javax.jcr.UnsupportedRepositoryOperationException,
                               javax.jcr.lock.LockException,
                               javax.jcr.InvalidItemStateException,
                               javax.jcr.RepositoryException

Specified by:
  `restoreByLabel` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.version.VersionException`
  `javax.jcr.ItemExistsException`
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.lock.LockException`
  `javax.jcr.InvalidItemStateException`
  `javax.jcr.RepositoryException`

#### getVersionHistory

    public javax.jcr.version.VersionHistory getVersionHistory()
                                                       throws javax.jcr.UnsupportedRepositoryOperationException,
                                                              javax.jcr.RepositoryException

Specified by:
  `getVersionHistory` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`

#### getBaseVersion

    public javax.jcr.version.Version getBaseVersion()
                                             throws javax.jcr.UnsupportedRepositoryOperationException,
                                                    javax.jcr.RepositoryException

Specified by:
  `getBaseVersion` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`

#### lock

    public javax.jcr.lock.Lock lock​(boolean isDeep,
                                    boolean isSessionScoped)
                             throws javax.jcr.UnsupportedRepositoryOperationException,
                                    javax.jcr.lock.LockException,
                                    javax.jcr.AccessDeniedException,
                                    javax.jcr.InvalidItemStateException,
                                    javax.jcr.RepositoryException

Specified by:
  `lock` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.lock.LockException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.InvalidItemStateException`
  `javax.jcr.RepositoryException`

#### getLock

    public javax.jcr.lock.Lock getLock()
                                throws javax.jcr.UnsupportedRepositoryOperationException,
                                       javax.jcr.lock.LockException,
                                       javax.jcr.AccessDeniedException,
                                       javax.jcr.RepositoryException

Specified by:
  `getLock` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.lock.LockException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.RepositoryException`

#### unlock

    public void unlock()
                throws javax.jcr.UnsupportedRepositoryOperationException,
                       javax.jcr.lock.LockException,
                       javax.jcr.AccessDeniedException,
                       javax.jcr.InvalidItemStateException,
                       javax.jcr.RepositoryException

Specified by:
  `unlock` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.lock.LockException`
  `javax.jcr.AccessDeniedException`
  `javax.jcr.InvalidItemStateException`
  `javax.jcr.RepositoryException`

#### holdsLock

    public boolean holdsLock()
                      throws javax.jcr.RepositoryException

Specified by:
  `holdsLock` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### isLocked

    public boolean isLocked()
                     throws javax.jcr.RepositoryException

Specified by:
  `isLocked` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.RepositoryException`

#### followLifecycleTransition

    public void followLifecycleTransition​(String transition)
                                   throws javax.jcr.UnsupportedRepositoryOperationException,
                                          javax.jcr.InvalidLifecycleTransitionException,
                                          javax.jcr.RepositoryException

Specified by:
  `followLifecycleTransition` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.InvalidLifecycleTransitionException`
  `javax.jcr.RepositoryException`

#### getAllowedLifecycleTransistions

    public String[] getAllowedLifecycleTransistions()
                                             throws javax.jcr.UnsupportedRepositoryOperationException,
                                                    javax.jcr.RepositoryException

Specified by:
  `getAllowedLifecycleTransistions` in interface `javax.jcr.Node`
Throws:
  `javax.jcr.UnsupportedRepositoryOperationException`
  `javax.jcr.RepositoryException`